Subject: Re: asm-ppc header issues when building ARCH=powerpc

From: David Gibson <[email-masked]>
Date: Thu, 23 Aug 2007 12:49:37 +1000

On Wed, Aug 22, 2007 at 02:30:47PM -0500, Josh Boyer wrote:
> On Wed, 22 Aug 2007 10:19:21 -0500
> Kumar Gala <[email-masked]> wrote:
> 
> > Guys,
> > 
> > I was wondering if I could get your help with looking at the  
> > following lists and determining if we have an issue or not related  
> > the following files:
> > 
> > Getting some classification on these would be good.  Possibly  
> > classifications, doesn't build in ARCH=powerpc, remove include, real  
> > issue, etc.
> 
> Sure.
> 
> > ./drivers/i2c/busses/i2c-ibm_iic.c:#include <asm/ocp.h>
> > ./drivers/i2c/busses/i2c-ibm_iic.c:#include <asm/ibm4xx.h>
> 
> These one depends on IBM_OCP in Kconfig.  We don't select/enable that on
> any existing arch/powerpc 4xx stuff so it won't be built anyway.

Nor will we ever enable IBM_OCP in arch/powerpc: the device tree
entirely obsoletes the OCP crap.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson